
#ifndef OPTIONS_HH
#define OPTIONS_HH

namespace options {
    // NB!  The boolean flags are integers; getopt seems to have
    // troubles with bools.

    // global options
    extern int version;		// print version
    extern int contact;		// print contact info.
    extern int verbose;		// turn on verbose output

    // symbol/typecheck
    extern int strict_decl;	// disable implicit declarations
    extern int strict_upd_decl;	// disable implicit update declarations

    // backend
    extern const char *language; // backend language
};


#endif // OPTIONS_HH
