
#ifndef RANGE_CHECKING_HH
#define RANGE_CHECKING_HH

#include "ast.hh"

namespace range_checking {
    class RangeError : public ast::Exception {
    public:
	RangeError(const ast::Ast &ast)
	    : ast::Exception(ast)
	{}

	virtual void print_error_msg(std::ostream &os);
    };

    void check(ast::DProg* dprog);
};



#endif // RANGE_CHECKING_HH
