
#ifndef CODEGEN_HH
#define CODEGEN_HH

#include "visitor.hh"

#include <iostream>
#include <vector>
#include <string>

namespace codegen {

    const std::vector<std::string> &supported();
    bool                            supported(const std::string &lang);

    void emit_code(const std::string &lang, ast::DProg *dprog,
		   const char *output_name);
};


#endif // CODEGEN_HH
